Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Monium
  • Getting started
  • Overview
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
        • Overview
          • Overview
          • Get
          • List
          • Create
          • Update
          • Delete
          • Run
          • ListOperations
          • ListAccessBindings
          • SetAccessBindings
          • UpdateAccessBindings
  • Release notes

In this article:

  • HTTP request
  • Query parameters
  • Response
  • Export
  • ExportParams
  1. API reference
  2. Logs
  3. REST
  4. Export
  5. List

Cloud Logging Service, REST: Export.List

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Query parameters
  • Response
  • Export
  • ExportParams

Retrieves the list of exports in the specified folder.

HTTP requestHTTP request

GET https://logging.api.cloud.yandex.net/logging/v1/exports

Query parametersQuery parameters

Field

Description

folderId

string

Required field. Folder ID of the exports to return.
To get a folder ID make a yandex.cloud.resourcemanager.v1.FolderService.List request.

The maximum string length in characters is 64.

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than page_size, the service returns a [ListExportssResponse.next_page_token]
that can be used to get the next page of results in subsequent list requests.
Default value: 100.

pageToken

string

Page token. To get the next page of results, set page_token to the
ListExportsResponse.nextPageToken returned by a previous list request.

The maximum string length in characters is 100.

filter

string

A filter expression that filters exports listed in the response.
The expression must specify:

  1. The field name. Currently filtering can only be applied to the Export.name field.
  2. An = operator.
  3. The value in double quotes ("). Must be 3-63 characters long and match the regular expression [a-z][-a-z0-9]{1,61}[a-z0-9].
    Example of a filter: name="my-export".

The maximum string length in characters is 1000.

ResponseResponse

HTTP Code: 200 - OK

{
  "exports": [
    {
      "id": "string",
      "folderId": "string",
      "cloudId": "string",
      "createdAt": "string",
      "name": "string",
      "description": "string",
      "labels": "object",
      "groupId": "string",
      "sinkId": "string",
      "params": {
        "resourceTypes": [
          "string"
        ],
        "resourceIds": [
          "string"
        ],
        "streamNames": [
          "string"
        ],
        "levels": [
          "string"
        ],
        "filter": "string"
      }
    }
  ],
  "nextPageToken": "string"
}

Field

Description

exports[]

Export

List of exports in the specified folder.

nextPageToken

string

Token for getting the next page of the list. If the number of results is greater than
the specified ListExportsRequest.pageSize, use next_page_token as the value
for the ListExportsRequest.pageToken parameter in the next list request.
Each subsequent page will have its own next_page_token to continue paging through the results.

ExportExport

Field

Description

id

string

Export ID.

folderId

string

Export folder ID.

cloudId

string

Export cloud ID.

createdAt

string (date-time)

Export creation time.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

name

string

Export name.

description

string

Export description.

labels

object (map<string, string>)

Export lables.

groupId

string

Group logs are exported from.

sinkId

string

Sink logs are exported to.

params

ExportParams

Parameters of logs filtration.

ExportParamsExportParams

Field

Description

resourceTypes[]

string

The maximum string length in characters for each value is 63. The maximum number of elements is 100.

resourceIds[]

string

The maximum string length in characters for each value is 63. The maximum number of elements is 100.

streamNames[]

string

The maximum string length in characters for each value is 63. The maximum number of elements is 100.

levels[]

enum (Level)

The maximum number of elements is 10.

  • TRACE: Trace log level.
    Possible use case: verbose logging of some business logic.
  • DEBUG: Debug log level.
    Possible use case: debugging special cases in application logic.
  • INFO: Info log level.
    Mostly used for information messages.
  • WARN: Warn log level.
    May be used to alert about significant events.
  • ERROR: Error log level.
    May be used to alert about errors in infrastructure, logic, etc.
  • FATAL: Fatal log level.
    May be used to alert about unrecoverable failures and events.

filter

string

The maximum string length in characters is 1000.

Was the article helpful?

Previous
Get
Next
Create
© 2026 Direct Cursus Technology L.L.C.